MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022593Community[OCCT] OCCT:Modeling Algorithmspublic2011-06-10 16:432012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022593: Fixed data races in Poly
DescriptionRLN_fix425
- Summary: Fixed data races in Poly
- Detailed description: Removed static variables which were inappropriate.
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships
child of 0022825closedabv Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017654)
kgv (developer)
2011-06-16 18:20

SVN branch http://svn/svn/occt/branches/OCC22593_PolyDatarace [^] passed review
without remarks.

Branch is ready for testing.
(0017982)
ycy (tester)
2011-08-12 11:48
edited on: 2011-11-24 17:06

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22593_PolyDatarace [^]) was
testing, test results were compared with KAS:dev:products-651-opt

Regressions were not found

See results in /KASDev/OCCTtests/KAS/dev/ycy-products-2_13072011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^] [^]

(0017986)
bugmaster (administrator)
2011-08-12 12:49

Fix has been integrated to occt repository
Date: 2011-08-12 12:47:08 +0400 (Fri, 12 Aug 2011)
New Revision: 8848

Modified:
   trunk/src/Poly/Poly_Connect.cxx
Log:
0022593: Fixed data races in Poly
Developed by : RLN and KGV

- Related Changesets
occt: master 9dfd7287
Timestamp: 2011-08-12 08:47:08
Author: RLN and KGV
Committer: bugmaster
Details ] Diff ]
0022593: Fixed data races in Poly
mod - src/Poly/Poly_Connect.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-07-05 18:12 kgv CC => kgv
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-08-12 11:48 ycy Note Added: 0017982
2011-08-12 12:13 bugmaster Assigned To bugmaster => kgv
2011-08-12 12:13 bugmaster Status acknowledged => reviewed
2011-08-12 12:13 bugmaster Fixed in Version EMPTY =>
2011-08-12 12:13 bugmaster Description Updated View Revisions
2011-08-12 12:22 bugmaster Status reviewed => tested
2011-08-12 12:48 bugmaster Target Version => 6.5.2
2011-08-12 12:49 bugmaster Test case number => Test case is not required
2011-08-12 12:49 bugmaster Note Added: 0017986
2011-08-12 12:49 bugmaster Status tested => verified
2011-08-12 12:49 bugmaster Resolution suspended => fixed
2011-11-24 17:06 szy Note Edited: 0017982 View Revisions
2011-12-05 11:26 abv Relationship added child of 0022825
2012-01-17 18:37 abv Assigned To kgv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 9dfd7287


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker